Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 377151 - KDM 4.7 has a repeated KDE-4 entry
Summary: KDM 4.7 has a repeated KDE-4 entry
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 388279
  Show dependency tree
 
Reported: 2011-07-31 10:33 UTC by optiluca@gmail.com
Modified: 2011-10-28 17:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description optiluca@gmail.com 2011-07-31 10:33:34 UTC
I have 2 seemingly identical KDE4 entries in KDM, and from looking around my FS I believe they are

/usr/share/apps/kdm/sessions/kde-plasma.desktop
/usr/share/xsessions/KDE-4.desktop

Running equery b on the files, reveals they both belong to kde-base/kdebase-startkde-4.7.0. Further inspection with diff reveals that the files are identical in content.

I think this issue was already occurring under KDE 4.6, but I have only verified it after installing 4.7.

Surely one of the files is redundant?  (My guess would be the /usr/share/apps/kdm/xsessions copy)

Reproducible: Always
Comment 1 optiluca@gmail.com 2011-07-31 11:31:17 UTC
I was lying, the files are provided by different packages :S

The kdm file should not be present?

luca@optipad ~ $ equery b /usr/share/xsessions/KDE-4.desktop
* Searching for /usr/share/xsessions/KDE-4.desktop ...
kde-base/kdebase-startkde-4.7.0 (/usr/share/xsessions/KDE-4.desktop)
luca@optipad ~ $ equery b /usr/share/apps/kdm/sessions/kde-plasma.desktop
* Searching for /usr/share/apps/kdm/sessions/kde-plasma.desktop ...
kde-base/kdm-4.7.0 (/usr/share/apps/kdm/sessions/kde-plasma.desktop)
Comment 2 Andreas K. Hüttel gentoo-dev 2011-08-20 21:29:41 UTC
Problem is known and identified (this is the side effect of fixing a different bug), I just dont know yet how to resolve it best...
Comment 3 Andreas K. Hüttel gentoo-dev 2011-10-28 17:46:42 UTC
Fixed in 4.7.2-r1, thanks.